<?xml version="1.0" ?>

<container xmlns="http://symfony.com/schema/dic/services"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">

    <services>
        <service id="app_bundle_subscription.controller.subscription_web_hook_controller"
                 class="App\Bundle\SubscriptionBundle\Controller\SubscriptionWebHookController">
            <argument type="service" id="app_bundle_subscription.service.subscription_notification_handler" />
            <argument type="service" id="doctrine.orm.entity_manager" />
            <argument type="service" id="app_bundle_subscription.normalizer.web_hook_filter_normalizer" />
            <argument type="service" id="app_bundle_subscription.service.web_hook_manager" />
            <argument type="service" id="app.normalizer.web_hook_filter_result_normalizer" />
            <argument type="service" id="app_bundle_subscription.repository.web_hook_repository" />

            <tag name="controller.service_arguments" />
        </service>
    </services>
</container>
